#define pre pre2

%define rel 1

Summary:	A program for synchronizing files over a network
Name:		rsync
Version: 	3.3.0
Release:	%mkrel %{?pre:0.%{pre}.%{rel}}%{?!pre:%{rel}}
Group:		Networking/File transfer
License:	GPLv3+
URL:		https://rsync.samba.org/
Source0:	https://download.samba.org/pub/rsync/%{?pre:src-previews}/%{name}-%{version}%{?pre}.tar.gz
Source1:	https://download.samba.org/pub/rsync/rsync.html
Source2:	https://download.samba.org/pub/rsync/rsyncd.conf.html
Source4:	https://download.samba.org/pub/rsync/%{?pre:src-previews}/%{name}-%{version}%{?pre}.tar.gz.asc
Source5:	https://download.samba.org/pub/rsync/%{?pre:src-previews}/%{name}-patches-%{version}%{?pre}.tar.gz
Source6:	https://download.samba.org/pub/rsync/%{?pre:src-previews}/%{name}-patches-%{version}%{?pre}.tar.gz.asc
Source14:	rsyncd.conf
Source15:	rsyncd.sysconfig
BuildRequires:	pkgconfig(libxxhash)
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(popt)
BuildRequires:	libacl-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	acl
Recommends:	openssh-clients

%define backup_patches 1

%{?_with_patches:%define backup_patches 1}
%{?_without_patches:%define backup_patches 0}

%description
Rsync uses a quick and reliable algorithm to very quickly bring
remote and host files into sync.  Rsync is fast because it just
sends the differences in the files over the network (instead of
sending the complete files). Rsync is often used as a very powerful
mirroring process or just as a more capable replacement for the
rcp command.  A technical report which describes the rsync algorithm
is included in this package.

Install rsync if you need a powerful mirroring program.
%if %backup_patches
This rpm has patches applied from rsync tree to add these options:
  --backup-deleted
  --backup-dir-dels=DIR
  --suffix-dels=SUFFIX

Rebuild the source rpm with `--without patches' if you don't  want these patches
%endif

%prep
%if %backup_patches
%setup -q -D -b 5 -n %{name}-%{version}%{?pre}
%__patch -p1 -b -z .deleted < patches/backup-deleted.diff
%__patch -p1 -b -z .dir-del < patches/backup-dir-dels.diff
%else
%setup -q -n %{name}-%{version}%{?pre}
%endif

%build
%serverbuild
autoreconf -vfi
rm -f config.h

%configure2_5x \
	--enable-acl-support \
	--without-included-zlib \
	--with-nobody-group=nogroup \
	--disable-simd

%make_build reconfigure

#make sure we use external zlib
rm -rf zlib

%make_build proto
%make_build

%install
%make_install

install -m644 %{SOURCE1} %{SOURCE2} .

install -D -m644 %{SOURCE14} %{buildroot}%{_sysconfdir}/rsyncd.conf
install -D -m644 %{SOURCE15} %{buildroot}%{_sysconfdir}/sysconfig/rsyncd
install -Dm0644 packaging/lsb/rsync.xinetd %{buildroot}/etc/xinetd.d/rsync


%files
%{_bindir}/rsync*
%{_mandir}/man1/rsync*.1*
%{_mandir}/man5/rsyncd.conf.5*
%config(noreplace) %{_sysconfdir}/rsyncd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/rsyncd
%config(noreplace) %{_sysconfdir}/xinetd.d/rsync

%changelog
* Sun Apr 07 2024 tex - 3.3.0-1pclos2024
- new version

* Fri Oct 21 2022 tex - 3.2.7-1pclos2022
- new version

